> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Transactions CSV

> This endpoint generates a pre-signed AWS S3 URL for a CSV file with transactions.

<ParamField path="business_id" required="true" type="string">
  ID of the Business to download the transactions CSV for.
</ParamField>

<ParamField path="start_date" type="string">
  The start date for the transactions in ISO-8601 format. Defaults to the business activation date.
</ParamField>

<ParamField path="end_date" type="string">
  The end date for the transactions in ISO-8601 format. Defaults to the current date.
</ParamField>

<ParamField path="categorized" type="boolean">
  Filter transactions based on whether they are categorized.
</ParamField>

<ParamField path="category" type="string">
  Filter transactions based on a specific category.
</ParamField>

<ParamField path="categorization_status" type="string">
  Filter transactions based on their categorization status. Must be one of: `CATEGORIZED`, `UNCATEGORIZED`, `PENDING`.
</ParamField>

### Response

Returns a pre-signed AWS S3 URL for the list of [Bank Transaction Objects](/api-reference/bank-transaction/bank-transaction) as a CSV.

<RequestExample>
  ```bash Request theme={null}
  curl -X GET 'https://sandbox.layerfi.com/v1/businesses/f9baa8fd-9413-4bcf-810b-6d32604de649/reports/transactions/exports/csv?start_date=2023-01-01T00:00:00-04:00&end_date=2024-01-01T00:00:00-04:00&categorized=true' \
    -H 'Authorization: Bearer <access_token>'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data":{
          "type":"S3_Presigned_Url",
          "presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
          "fileType": "csv"
      }
  }
  ```
</ResponseExample>
